%global gem_name redcarpet
Name:                rubygem-%{gem_name}
Version:             3.5.1
Release:             1
Summary:             A fast, safe and extensible Markdown to (X)HTML parser
License:             MIT and ISC
URL:                 http://github.com/vmg/redcarpet
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires:       gcc ruby(release) rubygems-devel ruby-devel rubygem(test-unit)
%description
A fast, safe and extensible Markdown to (X)HTML parser.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -c -T
%gem_install -n %{SOURCE0}
chmod a-x .%{gem_instdir}/ext/redcarpet/html.c

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}
chmod 755 %{buildroot}%{_bindir}/redcarpet
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/
rm -rf %{buildroot}%{gem_instdir}/ext

%check
pushd .%{gem_instdir}
RUBYOPT=-Ilib:$(dirs +1)%{gem_extdir_mri}:test ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/redcarpet
%{gem_instdir}/bin
%{gem_libdir}
%{gem_extdir_mri}
%exclude %{gem_cache}
%{gem_spec}
%license %{gem_instdir}/COPYING
%doc %{gem_instdir}/README.markdown

%files doc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/%{gem_name}.gemspec
%doc %{gem_docdir}

%changelog
- Wed Feb 03 2021 shinwell_hu <micromotive@qq.com> - 3.5.1-1
  Upgrade to 3.5.1 to fix following CVE
  CVE-2020-26298

* Tue Aug 18 2020 huangyangke <huangyangke@huawei.com> - 3.3.2-1
- package init
